Bug 257539 (poppler-21.08.0)

Summary: [exp-run] Upgrade graphics/poppler to 21.08.0
Product: Ports & Packages Reporter: Tobias C. Berner <tcberner>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Only Me CC: tcberner
Priority: --- Flags: antoine: exp-run+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
v1 none

Description Tobias C. Berner freebsd_committer 2021-08-01 16:22:26 UTC
Created attachment 226851 [details]
v1

Moin moin 


desktop@ would like to aks for an exp-run to update graphics/poppler to 21.08.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/0001-graphics-poppler-update-to-21.08.0.patch


mfg Tobias
Comment 2 commit-hook freebsd_committer 2021-08-08 08:40:22 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=22407a3e3b503dc2f0d30269aa9e80fd311711c5

commit 22407a3e3b503dc2f0d30269aa9e80fd311711c5
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-08-08 08:37:48 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-08-08 08:37:48 +0000

    net/kitinerary: prepare for poppler 21.08.0

    Add upstream fix [1]:
            parseDateString() now takes "const GooString *" as the date
            argument in order to support unicode date strings. Adjust
            parsePdfDateTime() to use the same string type (instead of
            "const char *") when compiling against poppler 21.8.0.

    [1] https://invent.kde.org/pim/kitinerary/-/commit/e99d101e2bd4c32566e238ce1340a93781e19eee

    PR:             257539

 net/kitinerary/Makefile | 3 +++
 net/kitinerary/distinfo | 4 +++-
 2 files changed, 6 insertions(+), 1 deletion(-)
Comment 3 Antoine Brodin freebsd_committer 2021-08-14 20:22:25 UTC
exp-run looks fine
Comment 4 commit-hook freebsd_committer 2021-08-15 05:43:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9a1df6a85c1a7b2231d237f407815337e4213595

commit 9a1df6a85c1a7b2231d237f407815337e4213595
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-08-01 16:19:26 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-08-15 05:42:37 +0000

    graphics/poppler: update to 21.08.0

    Release 21.08.0:
            core:
             * Add API to allow addition and modification of outlines into a PDF
             * Use additional samples to test for constant parts of an axial gradient
             * forms: Create fallback fonts for some well known font names
             * Support reading the PDF Version from the Catalog
             * Fix XRef::copy when there are modified objects
             * Take into account that Date string may be in unicode
             * JBIG2Stream: Fix regression in "Do not consider a size-0 to be an error"
             * Replace a local bubble sort implementation by std::sort
             * Fix issues with malformed files

            build system:
             * Better error message when libjpeg is not found
             * Better error messages when libopenjpeg2 is not found

            qt5/qt6:
             * Document that a document has to outlive its pages
             * Make getPdfVersion return a dedicated version object

            glib:
             * mimick TextSelectionDumper logic change for spaceAfter

    Exp-run by:     antoine
    PR:             257539

 converters/pdf2djvu/Makefile            | 2 +-
 databases/kbibtex/Makefile              | 2 +-
 deskutils/calibre/Makefile              | 1 +
 deskutils/lumina-pdf/Makefile           | 2 +-
 deskutils/xfce4-tumbler/Makefile        | 2 +-
 devel/efl/Makefile                      | 2 +-
 devel/kf5-kfilemetadata/Makefile        | 1 +
 editors/calligra/Makefile               | 2 +-
 editors/gummi/Makefile                  | 2 +-
 editors/kile/Makefile                   | 2 +-
 editors/libreoffice/Makefile            | 2 +-
 editors/libreoffice6/Makefile           | 2 +-
 editors/setzer/Makefile                 | 2 +-
 editors/texstudio/Makefile              | 2 +-
 editors/texworks/Makefile               | 2 +-
 graphics/atril/Makefile                 | 2 +-
 graphics/diff-pdf/Makefile              | 2 +-
 graphics/diffpdf/Makefile               | 2 +-
 graphics/dspdfviewer/Makefile           | 2 +-
 graphics/engauge-digitizer/Makefile     | 2 +-
 graphics/epdfview/Makefile              | 2 +-
 graphics/evince/Makefile                | 1 +
 graphics/gdal/Makefile                  | 2 +-
 graphics/geeqie/Makefile                | 2 +-
 graphics/gegl/Makefile                  | 2 +-
 graphics/gimp-app/Makefile              | 2 +-
 graphics/graphviz/Makefile              | 2 +-
 graphics/inkscape/Makefile              | 2 +-
 graphics/katarakt/Makefile              | 2 +-
 graphics/krita/Makefile                 | 2 +-
 graphics/okular/Makefile                | 1 +
 graphics/openfx-arena/Makefile          | 2 +-
 graphics/osg/Makefile                   | 2 +-
 graphics/osg34/Makefile                 | 2 +-
 graphics/pdf2svg/Makefile               | 2 +-
 graphics/pdfpc/Makefile                 | 2 +-
 graphics/poppler-glib/Makefile          | 2 +-
 graphics/poppler-qt5/Makefile           | 2 +-
 graphics/poppler-utils/Makefile         | 2 +-
 graphics/poppler/Makefile               | 6 +++---
 graphics/poppler/distinfo               | 6 +++---
 graphics/pqiv/Makefile                  | 2 +-
 graphics/py-python-poppler-qt5/Makefile | 2 +-
 graphics/qcomicbook/Makefile            | 2 +-
 graphics/sane-backends/Makefile         | 2 +-
 graphics/tikzit/Makefile                | 2 +-
 graphics/vips/Makefile                  | 2 +-
 graphics/xournal/Makefile               | 2 +-
 graphics/xournalpp/Makefile             | 1 +
 graphics/yacreader/Makefile             | 2 +-
 graphics/zathura-pdf-poppler/Makefile   | 2 +-
 mail/claws-mail-pdf_viewer/Makefile     | 1 +
 math/cantor/Makefile                    | 1 +
 math/labplot/Makefile                   | 2 +-
 misc/tellico/Makefile                   | 2 +-
 net/kitinerary/Makefile                 | 1 +
 print/cups-filters/Makefile             | 2 +-
 print/deforaos-pdfviewer/Makefile       | 2 +-
 print/pdf-tools/Makefile                | 2 +-
 print/qpdfview/Makefile                 | 2 +-
 print/scribus-devel/Makefile            | 2 +-
 print/texlive-base/Makefile             | 2 +-
 print/xreader/Makefile                  | 2 +-
 sysutils/tracker-miners/Makefile        | 2 +-
 textproc/pdfgrep/Makefile               | 2 +-
 textproc/py-pdftotext/Makefile          | 2 +-
 x11-toolkits/rubygem-poppler/Makefile   | 1 +
 x11/eaglemode/Makefile                  | 2 +-
 68 files changed, 72 insertions(+), 63 deletions(-)
Comment 5 Tobias C. Berner freebsd_committer 2021-08-15 05:43:24 UTC
Committed. Thanks for the exp-run.